const express = require('express');
const router = express.Router();

const renderPage = require('../utils/renderHelper');
const logger = require('../utils/logger');

// Route pour la page d'accueil
router.get('/', async (req, res) => {
  renderPage('partials/navparcours.ejs', res);
});

router.get('/client', async (req, res) => {
  renderPage('clientform.ejs', res, {}, true);
});

router.get('/intermediaire', async (req, res) => {
  renderPage('intermediaireform.ejs', res, {}, true);
});

router.get('/contrat', async (req, res) => {
  renderPage('dev.ejs', res, {}, true);
});

router.get('/tarifrc', async (req, res) => {
  renderPage('tarifformrc.ejs', res, {}, true);
});

router.get('/tariffac', async (req, res) => {
  renderPage('dev.ejs', res, {}, true);
});

router.get('/tariftppc', async (req, res) => {
  renderPage('tarifformtppc.ejs', res, {}, true);
});

router.get('/projetfac', async (req, res) => {
  renderPage('projetformfac.ejs', res, {}, true);
});

router.get('/projetrc', async (req, res) => {
  renderPage('projetformrc.ejs', res, {}, true);
});

router.get('/projettppc', async (req, res) => {
  renderPage('projetformtppc.ejs', res, {}, true);
});

module.exports = router;
